5.12. 指定工作临时目录
上一页 | 第 5 章 配置 Makefile | 下一页

## 5.12. 指定工作临时目录

每个 port 都会被解压缩到一个工作临时目录中， 这个目录必须是可写的。 ports 系统默认情况下会将 `DISTFILES` 解压缩到一个叫做 `${DISTNAME}` 的目录中。 换言之， 如果设了：

PORTNAME= foo PORTVERSION= 1.0

则 port 的源码包文件的顶级目录将是 `foo-1.0`。

如果这不是所希望的情形， 您可以修改一系列变量的设置。

### 5.12.1. `WRKSRC` (开始联编操作的目录名)

这个变量给出了在应用程序的源代码包解压缩之后所生成的目录的名字。 如果我们之前的例子解压缩生成一个叫做 `foo` (而不是 `foo-1.0`) 的目录， 您应：

WRKSRC= ${WRKDIR}/foo

或者， 也可能是

WRKSRC= ${WRKDIR}/${PORTNAME}

### 5.12.2. `NO_WRKSUBDIR` (不需要临时的联编目录)

如果 port 完全不需要写入到某个子目录中， 您应设置 `NO_WRKSUBDIR` 以明示这一点。

NO_WRKSUBDIR= yes

上一页 | 上一级 | 下一页
5.11. Makefile 选项 | 起始页 | 5.13. 处理冲突

本文档和其它文档可从这里下载： ftp://ftp.FreeBSD.org/pub/FreeBSD/doc/.

如果对于FreeBSD有问题，请先阅读 文档，如不能解决再联系 <questions@FreeBSD.org>.
关于本文档的问题请发信联系 <doc@FreeBSD.org>.